## ros-one-moveit-setup-assistant 1.1.16-49jammy.20251027.2219

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_setup_assistant)

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED COMPONENTS thread filesystem system program_options)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  rviz
  rosconsole
  roscpp
  urdf
  srdfdom
)
moveit_build_options()

find_package(ompl REQUIRED)
if(TARGET ompl::ompl)
  moveit_get_include_and_libs_from_target(OMPL ompl::ompl)
endif()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${OMPL_INCLUDE_DIRS})
include_directories(include)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "6")
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
else()
  find_package(Qt6 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt6::Widgets)
endif()
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

# Support new yaml-cpp API.
find_package(PkgConfig)
pkg_check_modules(YAMLCPP REQUIRED yaml-cpp>=0.5)
include_directories(SYSTEM ${YAMLCPP_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_tools
  CATKIN_DEPENDS
    moveit_ros_planning
    moveit_ros_visualization
    roscpp
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  src/widgets/navigation_widget.h
  src/widgets/header_widget.h
  src/widgets/setup_assistant_widget.h
  src/widgets/start_screen_widget.h
  src/widgets/planning_groups_widget.h
  src/widgets/double_list_widget.h
  src/widgets/kinematic_chain_widget.h
  src/widgets/group_edit_widget.h
  src/widgets/default_collisions_widget.h
  src/widgets/robot_poses_widget.h
  src/widgets/end_effectors_widget.h
  src/widgets/virtual_joints_widget.h
  src/widgets/passive_joints_widget.h
  src/widgets/perception_widget.h
  src/widgets/controllers_widget.h
  src/widgets/controller_edit_widget.h
  src/widgets/configuration_files_widget.h
  src/widgets/setup_screen_widget.h
  src/widgets/simulation_widget.h
  src/widgets/author_information_widget.h
)

# Tools Library
add_library(${PROJECT_NAME}_tools
  src/tools/compute_default_collisions.cpp
  src/tools/moveit_config_data.cpp
  src/tools/xml_manipulation.cpp
  src/tools/collision_linear_model.cpp
  src/tools/collision_matrix_model.cpp
  src/tools/rotated_header_view.cpp
  src/tools/xml_syntax_highlighter.cpp
)
set_target_properties(${PROJECT_NAME}_tools PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_tools
  ${YAMLCPP_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
)

# Main Widgets Library - all screens (navigation options)
add_library(${PROJECT_NAME}_widgets
  src/widgets/start_screen_widget.cpp
  src/widgets/planning_groups_widget.cpp
  src/widgets/double_list_widget.cpp
  src/widgets/kinematic_chain_widget.cpp
  src/widgets/group_edit_widget.cpp
  src/widgets/default_collisions_widget.cpp
  src/widgets/robot_poses_widget.cpp
  src/widgets/end_effectors_widget.cpp
  src/widgets/virtual_joints_widget.cpp
  src/widgets/passive_joints_widget.cpp
  src/widgets/perception_widget.cpp
  src/widgets/configuration_files_widget.cpp
  src/widgets/controllers_widget.cpp
  src/widgets/controller_edit_widget.cpp
  src/widgets/navigation_widget.cpp
  src/widgets/header_widget.cpp
  src/widgets/setup_assistant_widget.cpp
  src/widgets/setup_screen_widget.cpp
  src/widgets/simulation_widget.cpp
  src/widgets/author_information_widget.cpp
  ${HEADERS}
)
set_target_properties(${PROJECT_NAME}_widgets PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_widgets
  ${PROJECT_NAME}_tools
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# executables
add_executable(${PROJECT_NAME} src/setup_assistant_main.cpp)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  ${QT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} log4cxx)

add_executable(${PROJECT_NAME}_updater src/collisions_updater.cpp )
target_link_libraries(${PROJECT_NAME}_updater
  ${PROJECT_NAME}_tools ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${PROJECT_NAME}_updater
                      PROPERTIES OUTPUT_NAME collisions_updater
                      PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_updater
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Unit tests
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_reading_writing_config test/moveit_config_data_test.cpp)
  target_link_libraries(test_reading_writing_config ${PROJECT_NAME}_tools)
endif()

=== templates/moveit_config_pkg_template/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project([GENERATED_PACKAGE_NAME])

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49jammy.20251027.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:19:13 +0000

ros-one-moveit-setup-assistant (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.15-0jammy) jammy; urgency=high

  * Fix formatting of boost option definitions
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.14-0jammy) jammy; urgency=high

  * MSA: Add missing filename attribute to gazebo plugin tag (#3572 <https://github.com/ros-planning/moveit/issues/3572>)
  * [ROS-O] update Boost API (melodic compatible) (#3564 <https://github.com/ros-planning/moveit/issues/3564>)
  * Cleanup const-ref arguments to double+int (#3560 <https://github.com/ros-planning/moveit/issues/3560>)
  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * Enable higher number of self-collision checking samples (#3529 <https://github.com/ros-planning/moveit/issues/3529>)
  * MSA ControllerWidget: allow digits in controller names (#3528 <https://github.com/ros-planning/moveit/issues/3528>)
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Contributors: Abe Maclean, Michael Görner, Robert Haschke, Salih Marangoz

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.13-0jammy) jammy; urgency=high

  * Fix OMPL's TRRT parameter names (#3461 <https://github.com/ros-planning/moveit/issues/3461>)
  * Contributors: VideoSystemsTech

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.12-0jammy) jammy; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * MSA: Fix 3D Perception widget (#3399 <https://github.com/ros-planning/moveit/issues/3399>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Contributors: Michael Görner, Robert Haschke, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.11-0jammy) jammy; urgency=high

  * MSA: Cleanup SimulationWidget (#3281 <https://github.com/ros-planning/moveit/issues/3281>)
    
      * Don't rewrite ``gazebo.launch`` after user changes
      * Only offer to write ``gazebo\_*.urdf`` if content would be non-empty
      * Clarify usage
      * Graceful opening of editor
      * Disable "overwrite" button if there are no changes
      * If overwriting fails: ``write gazebo\_*.urdf`` as fallback
    
  * Remove capabilities declaration from pipeline configs (#3274 <https://github.com/ros-planning/moveit/issues/3274>)Capabilities are global to the ``move_group`` node and not specific to pipleline configs.
    As the latter ones load their parameters into a namespace, e.g. ``/move_group/planning_pipelines/ompl/*``,
    loading a capability as suggested by the comments, didn't have any effect.
  * Expose ``world_name`` and ``world_pose`` args in ``*gazebo.launch`` (#3238 <https://github.com/ros-planning/moveit/issues/3238>)
  * run-depend on all default MoveIt planners
  * Start ``robot_state_publisher`` in ``gazebo.launch`` (#3236 <https://github.com/ros-planning/moveit/issues/3236>)
  * Generalize sizing of joint list widgets (#3219 <https://github.com/ros-planning/moveit/issues/3219>)
  * Contributors: Robert Haschke, Robert Kampf

 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.10-0jammy) jammy; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * MSA templates: replace hard-coded package name
  * Extended ACM editing in MSA (#3093 <https://github.com/ros-planning/moveit/issues/3093>)
    
      * Allow disabling/enabling links by default
      * Use matrix view by default
    
  * Optionally enable dynamics monitoring in move_group node (#3137 <https://github.com/ros-planning/moveit/issues/3137>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Improve Gazebo-compatible URDF generation in MSA (#3081 <https://github.com/ros-planning/moveit/issues/3081>)
  * Contributors: AM4283, Michael Görner, Robert Haschke, rickstaa

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.9-0jammy) jammy; urgency=high

  * Fix collisions_updater's set comparison (#3076 <https://github.com/ros-planning/moveit/issues/3076>)
  * MSA: boost::bind -> std::bind (#3039 <https://github.com/ros-planning/moveit/issues/3039>)
  * Do not automatically load robot description in move_group.launch (#3065 <https://github.com/ros-planning/moveit/issues/3065>)
  * Contributors: Jochen Sprickerhof, Loy van Beek, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.8-0jammy) jammy; urgency=high

  * Implement ACM defaults as a fallback instead of an override (#2938 <https://github.com/ros-planning/moveit/issues/2938>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Move MoveItConfigData::setCollisionLinkPairs to collisions_updater.cpp
  * Contributors: Rick Staa, Robert Haschke



=== debian/control ===
Source: ros-one-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-moveit-ros-visualization, ros-one-ompl, ros-one-rosconsole, ros-one-roscpp, ros-one-rviz, ros-one-srdfdom (>> 0.3.1), ros-one-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-moveit-ros-visualization, ros-one-rosconsole, ros-one-roscpp, ros-one-rviz, ros-one-srdfdom (>> 0.3.1), ros-one-urdf, ros-one-xacro
Description: Generates a configuration package that makes it easy to use MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-setup-assistant//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-setup-assistant 1.1.16-49jammy.20251208.1020

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49jammy.20251208.1020) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 10:20:34 +0000

## ros-one-moveit-setup-assistant 1.1.16-49jammy.20251215.2355

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49jammy.20251215.2355) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 15 Dec 2025 23:55:36 +0000

## ros-one-moveit-setup-assistant 1.1.16-49noble.20251027.2255

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49noble.20251027.2255) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:55:04 +0000

ros-one-moveit-setup-assistant (1.1.16-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.15-0noble) noble; urgency=high

  * Fix formatting of boost option definitions
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.14-0noble) noble; urgency=high

  * MSA: Add missing filename attribute to gazebo plugin tag (#3572 <https://github.com/ros-planning/moveit/issues/3572>)
  * [ROS-O] update Boost API (melodic compatible) (#3564 <https://github.com/ros-planning/moveit/issues/3564>)
  * Cleanup const-ref arguments to double+int (#3560 <https://github.com/ros-planning/moveit/issues/3560>)
  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * Enable higher number of self-collision checking samples (#3529 <https://github.com/ros-planning/moveit/issues/3529>)
  * MSA ControllerWidget: allow digits in controller names (#3528 <https://github.com/ros-planning/moveit/issues/3528>)
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Contributors: Abe Maclean, Michael Görner, Robert Haschke, Salih Marangoz

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.13-0noble) noble; urgency=high

  * Fix OMPL's TRRT parameter names (#3461 <https://github.com/ros-planning/moveit/issues/3461>)
  * Contributors: VideoSystemsTech

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.12-0noble) noble; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * MSA: Fix 3D Perception widget (#3399 <https://github.com/ros-planning/moveit/issues/3399>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Contributors: Michael Görner, Robert Haschke, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.11-0noble) noble; urgency=high

  * MSA: Cleanup SimulationWidget (#3281 <https://github.com/ros-planning/moveit/issues/3281>)
    
      * Don't rewrite ``gazebo.launch`` after user changes
      * Only offer to write ``gazebo\_*.urdf`` if content would be non-empty
      * Clarify usage
      * Graceful opening of editor
      * Disable "overwrite" button if there are no changes
      * If overwriting fails: ``write gazebo\_*.urdf`` as fallback
    
  * Remove capabilities declaration from pipeline configs (#3274 <https://github.com/ros-planning/moveit/issues/3274>)Capabilities are global to the ``move_group`` node and not specific to pipleline configs.
    As the latter ones load their parameters into a namespace, e.g. ``/move_group/planning_pipelines/ompl/*``,
    loading a capability as suggested by the comments, didn't have any effect.
  * Expose ``world_name`` and ``world_pose`` args in ``*gazebo.launch`` (#3238 <https://github.com/ros-planning/moveit/issues/3238>)
  * run-depend on all default MoveIt planners
  * Start ``robot_state_publisher`` in ``gazebo.launch`` (#3236 <https://github.com/ros-planning/moveit/issues/3236>)
  * Generalize sizing of joint list widgets (#3219 <https://github.com/ros-planning/moveit/issues/3219>)
  * Contributors: Robert Haschke, Robert Kampf

 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.10-0noble) noble; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * MSA templates: replace hard-coded package name
  * Extended ACM editing in MSA (#3093 <https://github.com/ros-planning/moveit/issues/3093>)
    
      * Allow disabling/enabling links by default
      * Use matrix view by default
    
  * Optionally enable dynamics monitoring in move_group node (#3137 <https://github.com/ros-planning/moveit/issues/3137>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Improve Gazebo-compatible URDF generation in MSA (#3081 <https://github.com/ros-planning/moveit/issues/3081>)
  * Contributors: AM4283, Michael Görner, Robert Haschke, rickstaa

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.9-0noble) noble; urgency=high

  * Fix collisions_updater's set comparison (#3076 <https://github.com/ros-planning/moveit/issues/3076>)
  * MSA: boost::bind -> std::bind (#3039 <https://github.com/ros-planning/moveit/issues/3039>)
  * Do not automatically load robot description in move_group.launch (#3065 <https://github.com/ros-planning/moveit/issues/3065>)
  * Contributors: Jochen Sprickerhof, Loy van Beek, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-setup-assistant (1.1.8-0noble) noble; urgency=high

  * Implement ACM defaults as a fallback instead of an override (#2938 <https://github.com/ros-planning/moveit/issues/2938>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Move MoveItConfigData::setCollisionLinkPairs to collisions_updater.cpp
  * Contributors: Rick Staa, Robert Haschke



## ros-one-moveit-setup-assistant 1.1.16-49noble.20251208.1659

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49noble.20251208.1659) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 16:59:20 +0000

## ros-one-moveit-setup-assistant 1.1.16-49noble.20251215.2354

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-49noble.20251215.2354) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 15 Dec 2025 23:54:24 +0000

## ros-one-moveit-setup-assistant 1.1.16-50jammy.20260128.2330

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-50jammy.20260128.2330) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:30:14 +0000

## ros-one-moveit-setup-assistant 1.1.16-50noble.20260128.2348

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-50noble.20260128.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:48:10 +0000

## ros-one-moveit-setup-assistant 1.1.16-51jammy.20260302.2212

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-51jammy.20260302.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 22:12:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
 Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-moveit-ros-visualization, ros-one-ompl, ros-one-rosconsole, ros-one-roscpp, ros-one-rviz, ros-one-srdfdom (>> 0.3.1), ros-one-urdf
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-setup-assistant

## ros-one-moveit-setup-assistant 1.1.16-51noble.20260302.2246

=== debian/changelog ===
ros-one-moveit-setup-assistant (1.1.16-51noble.20260302.2246) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 22:46:54 +0000
